import { defineStore } from 'pinia'
import { ref } from 'vue'



export const useAIReponseStore = defineStore('AIResponse', () => {
    const responseText = ref<string>('')

    const showResponseText = ref<boolean>(false)

    const isLoading = ref<boolean>(false)

    const isDone = ref<boolean>(false)

    const reset = () => {
        responseText.value = ''
        showResponseText.value = false
        isDone.value = false
    }

    return {
        responseText,
        showResponseText,
        isLoading,
        isDone,
        reset
    }
})